Bug 23214 - Fetchmail currently builds without NTLM auth support
Summary: Fetchmail currently builds without NTLM auth support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Peter Pentchev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-12-01 21:30 UTC by William M. Perry
Modified: 2000-12-02 16:23 UTC (History)
0 users

See Also:


Attachments
file.diff (551 bytes, patch)
2000-12-01 21:30 UTC, William M. Perry
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William M. Perry 2000-12-01 21:30:01 UTC
	Currently there is no way to make the fetchmail port build
    	with support for NTLM authentication.  This is required to
	authenticate against MS Exchange servers using IMAP without
	exposing your password in the clear.

Fix: Need to add --enable-NTLM to CONFIGURE_ARGS.  There are no
	external dependencies that I could find.  Patch follows:

How-To-Repeat: 
	Configure fetchmail to talk to an Exchange server using imap.
	My configuration looks like:

poll mail.in.aventail.com
  proto	 imap
  plugin '/usr/local/aventail/bin/s5connect %h %p'
  user   wmperry@aventail
  pass   LA-DEE-DAH-YEAH-RIGHT

	Replace your exchange server, username, and password of
	course.  You need to specify the username with 'user@domain'
	though.  Currently this will just fail the authentication
	because no NTLM support is available.
Comment 1 Peter Pentchev freebsd_committer 2000-12-02 13:40:48 UTC
Responsible Changed
From-To: freebsd-ports->roam

I'll look into that..
Comment 2 Peter Pentchev 2000-12-02 14:05:31 UTC
I've sent the following to the port maintainer; awaiting approval :)

G'luck,
Peter

-- 
This sentence contradicts itself - or rather - well, no, actually it doesn't!

----- Forwarded message from Peter Pentchev <roam@orbitel.bg> -----

Date: Sat, 2 Dec 2000 16:01:53 +0200
From: Peter Pentchev <roam@orbitel.bg>
To: Ville Eerola <ve@sci.fi>
Subject: mail/fetchmail FreeBSD proposed port update - enable NTLM auth
User-Agent: Mutt/1.2.5i

Hi,

What do you think about the attached patch:
- add WITH_NTLM option to enable NTLM auth (partly PR ports/23214);
- change MAKE_KERBEROS4 to WITH_KERBEROS4 for consistency;
- bump PORTREVISION to reflect the changes :)

G'luck,
Peter

-- 
If I were you, who would be reading this sentence?

Index: ports/mail/fetchmail/Makefile
===================================================================
RCS file: /home/ncvs/ports/mail/fetchmail/Makefile,v
retrieving revision 1.111
diff -u -r1.111 Makefile
--- ports/mail/fetchmail/Makefile	2000/11/30 08:51:48	1.111
+++ ports/mail/fetchmail/Makefile	2000/12/02 14:00:29
@@ -11,6 +11,7 @@
 
 PORTNAME=	fetchmail
 PORTVERSION=	5.6.0
+PORTREVISION=	1
 CATEGORIES=	mail ipv6
 MASTER_SITES=	http://www.tuxedo.org/~esr/fetchmail/ \
 		ftp://ftp.ccil.org/pub/esr/fetchmail/
@@ -42,12 +43,16 @@
 CONFIGURE_ARGS+=-with-includes=${LOCALBASE}/include/openssl --with-ssl=${LOCALBASE}
 .endif
 
-.if exists(/usr/lib/libkrb.a) && defined(MAKE_KERBEROS4)
+.if exists(/usr/lib/libkrb.a) && defined(WITH_KERBEROS4)
 CONFIGURE_ARGS += --with-kerberos=/usr/include
 .endif
 
 .if defined(KRB5_HOME) && exists(${KRB5_HOME}/lib/libkrb5.a)
 CONFIGURE_ARGS += --with-kerberos5=${KRB5_HOME}
+.endif
+
+.if defined(WITH_NTLM)
+CONFIGURE_ARGS += --enable-NTLM
 .endif
 
 FDOC=	${PREFIX}/share/doc/fetchmail

----- End forwarded message -----
Comment 3 Peter Pentchev freebsd_committer 2000-12-02 14:08:51 UTC
State Changed
From-To: open->feedback

Awaiting maintainer approval for a patch sent in a separate mail message.
Comment 4 Peter Pentchev 2000-12-02 14:23:43 UTC
Instant replay :(

G'luck,
Peter

-- 
I am the thought you are now thinking.

----- Forwarded message from Peter Pentchev <roam@orbitel.bg> -----

Date: Sat, 2 Dec 2000 16:22:25 +0200
From: Peter Pentchev <roam@orbitel.bg>
To: Ville Eerola <ve@sci.fi>
Subject: Re: mail/fetchmail FreeBSD proposed port update - enable NTLM auth
User-Agent: Mutt/1.2.5i
In-Reply-To: <20001202160153.D1968@ringworld.oblivion.bg>; from roam@orbitel.bg on Sat, Dec 02, 2000 at 04:01:53PM +0200

Erm.  Please disregard the previous patch.  See the attached one:
- check for WITH_NTLM and enable NTLM auth if requested (PR 23214);
- bump PORTREVISION;
- do NOT change the check for MAKE_KERBEROS4; MAKE_KERBEROS4 is a toggle
  set in /etc/make.conf, NOT a user-settable port-compile-time thing :((

All right, so I need more sleep..

G'luck,
Peter

-- 
No language can express every thought unambiguously, least of all this one.

Index: ports/mail/fetchmail//Makefile
===================================================================
RCS file: /home/ncvs/ports/mail/fetchmail/Makefile,v
retrieving revision 1.111
diff -u -r1.111 Makefile
--- ports/mail/fetchmail//Makefile	2000/11/30 08:51:48	1.111
+++ ports/mail/fetchmail//Makefile	2000/12/02 14:19:34
@@ -11,6 +11,7 @@
 
 PORTNAME=	fetchmail
 PORTVERSION=	5.6.0
+PORTREVISION=	1
 CATEGORIES=	mail ipv6
 MASTER_SITES=	http://www.tuxedo.org/~esr/fetchmail/ \
 		ftp://ftp.ccil.org/pub/esr/fetchmail/
@@ -48,6 +49,10 @@
 
 .if defined(KRB5_HOME) && exists(${KRB5_HOME}/lib/libkrb5.a)
 CONFIGURE_ARGS += --with-kerberos5=${KRB5_HOME}
+.endif
+
+.if defined(WITH_NTLM)
+CONFIGURE_ARGS += --enable-NTLM
 .endif
 
 FDOC=	${PREFIX}/share/doc/fetchmail

----- End forwarded message -----
Comment 5 Peter Pentchev freebsd_committer 2000-12-02 16:20:27 UTC
State Changed
From-To: feedback->closed

Committed with a slight modification - USE_* make variables are reserved 
for internal Ports system usage; user-serviceable toggles are prefixed 
with WITH_. 

Thanks for the patch!